<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="ConsoleHashPass|Win32">
      <Configuration>ConsoleHashPass</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="ConsoleHashPass|x64">
      <Configuration>ConsoleHashPass</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Console|Win32">
      <Configuration>Console</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Console|x64">
      <Configuration>Console</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="ReleaseHashPass|Win32">
      <Configuration>ReleaseHashPass</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="ReleaseHashPass|x64">
      <Configuration>ReleaseHashPass</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{F2F385F0-FC08-405D-9F71-8967594552A8}</ProjectGuid>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <PlatformToolset>v100</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <PlatformToolset>v100</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Console|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <PlatformToolset>v100</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <PlatformToolset>v100</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <PlatformToolset>v100</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <PlatformToolset>v100</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Console|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <PlatformToolset>v100</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <PlatformToolset>v100</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Console|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Console|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.30319.1</_ProjectFileVersion>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">bin\</OutDir>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|Win32'">bin_hashpass\</OutDir>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">bin\</OutDir>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">bin_hashpass\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">obj\gui\</IntDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|Win32'">obj\gui_hashpass\</IntDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">obj\console\</IntDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">obj\console_hashpass\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">false</LinkIncremental>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|Win32'">false</LinkIncremental>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">false</LinkIncremental>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">false</LinkIncremental>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">bin64\</OutDir>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|x64'">bin_hashpass\</OutDir>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Console|x64'">bin64\</OutDir>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">bin_hashpass\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">obj\gui64\</IntDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|x64'">obj\gui_hashpass64\</IntDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Console|x64'">obj\console64\</IntDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">obj\console_hashpass64\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Release|x64'">false</LinkIncremental>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|x64'">false</LinkIncremental>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Console|x64'">false</LinkIncremental>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">false</LinkIncremental>
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" />
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|Win32'" />
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Console|Win32'" />
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Console|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'" />
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Release|x64'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|x64'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Console|x64'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Release|x64'" />
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|x64'" />
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Console|x64'" />
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Release|x64'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|x64'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Console|x64'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'" />
    <TargetName Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">PtokaX</TargetName>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|Win32'">PtokaX</TargetName>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">PtokaX_console</TargetName>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">PtokaX_console</TargetName>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='Release|x64'">PtokaX-x64</TargetName>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|x64'">PtokaX-x64</TargetName>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='Console|x64'">PtokaX-x64_console</TargetName>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">PtokaX-x64_console</TargetName>
    <PreBuildEventUseInBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</PreBuildEventUseInBuild>
    <PreBuildEventUseInBuild Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|x64'">true</PreBuildEventUseInBuild>
    <PreBuildEventUseInBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</PreBuildEventUseInBuild>
    <PreBuildEventUseInBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</PreBuildEventUseInBuild>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <WholeProgramOptimization>true</WholeProgramOptimization>
      <AdditionalIncludeDirectories>lua\src;tinyxml;zlib\src;sqlite;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_WITH_SQLITE;NDEBUG;_BUILD_GUI;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <MinimalRebuild>true</MinimalRebuild>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <FloatingPointModel>Fast</FloatingPointModel>
      <ForceConformanceInForLoopScope>false</ForceConformanceInForLoopScope>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <MultiProcessorCompilation>false</MultiProcessorCompilation>
      <FunctionLevelLinking>false</FunctionLevelLinking>
      <FloatingPointExceptions>false</FloatingPointExceptions>
      <CreateHotpatchableImage>false</CreateHotpatchableImage>
      <OpenMPSupport>false</OpenMPSupport>
      <CompileAs>CompileAsCpp</CompileAs>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
      <EnableEnhancedInstructionSet>NotSet</EnableEnhancedInstructionSet>
    </ClCompile>
    <ResourceCompile>
      <Culture>0x0409</Culture>
    </ResourceCompile>
    <ProjectReference>
      <LinkLibraryDependencies>true</LinkLibraryDependencies>
    </ProjectReference>
    <Link>
      <AdditionalOptions>/FIXED:NO /SAFESEH:NO %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>ws2_32.lib;comctl32.lib;Iphlpapi.lib;Dbghelp.lib;psapi.lib;lua.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <ShowProgress>NotSet</ShowProgress>
      <OutputFile>$(OutDir)PtokaX.exe</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalManifestDependencies>type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='x86' publicKeyToken='6595b64144ccf1df' language='*';%(AdditionalManifestDependencies)</AdditionalManifestDependencies>
      <AdditionalLibraryDirectories>lua;tinyxml;zlib;mysql;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <IgnoreSpecificDefaultLibraries>kernel32.lib advapi32.lib user32.lib gdi32.lib shell32.lib comdlg32.lib version.lib mpr.lib rasapi32.lib winmm.lib winspool.lib vfw32.lib secur32.lib oleacc.lib oledlg.lib sensapi.lib;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <DelayLoadDLLs>dbghelp.dll;%(DelayLoadDLLs)</DelayLoadDLLs>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <GenerateMapFile>false</GenerateMapFile>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
      <SetChecksum>false</SetChecksum>
      <RandomizedBaseAddress>true</RandomizedBaseAddress>
      <FixedBaseAddress>false</FixedBaseAddress>
      <DataExecutionPrevention>
      </DataExecutionPrevention>
      <TargetMachine>MachineX86</TargetMachine>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <LargeAddressAware>false</LargeAddressAware>
      <TerminalServerAware>false</TerminalServerAware>
    </Link>
    <Manifest>
      <AssemblyIdentity>PtokaX,version=0.5.0.1,processorArchitecture=x86,type=win32</AssemblyIdentity>
    </Manifest>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|Win32'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <WholeProgramOptimization>true</WholeProgramOptimization>
      <AdditionalIncludeDirectories>lua\src;tinyxml;zlib\src;sqlite;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_WITH_SQLITE;HASH_PASS;NDEBUG;_BUILD_GUI;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <MinimalRebuild>true</MinimalRebuild>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <FloatingPointModel>Fast</FloatingPointModel>
      <ForceConformanceInForLoopScope>false</ForceConformanceInForLoopScope>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <MultiProcessorCompilation>false</MultiProcessorCompilation>
      <FunctionLevelLinking>false</FunctionLevelLinking>
      <FloatingPointExceptions>false</FloatingPointExceptions>
      <CreateHotpatchableImage>false</CreateHotpatchableImage>
      <OpenMPSupport>false</OpenMPSupport>
      <CompileAs>CompileAsCpp</CompileAs>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
      <EnableEnhancedInstructionSet>NotSet</EnableEnhancedInstructionSet>
    </ClCompile>
    <ResourceCompile>
      <Culture>0x0409</Culture>
    </ResourceCompile>
    <ProjectReference>
      <LinkLibraryDependencies>true</LinkLibraryDependencies>
    </ProjectReference>
    <Link>
      <AdditionalOptions>/FIXED:NO /SAFESEH:NO %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>ws2_32.lib;comctl32.lib;Iphlpapi.lib;Dbghelp.lib;psapi.lib;lua.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <ShowProgress>NotSet</ShowProgress>
      <OutputFile>$(OutDir)PtokaX.exe</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalManifestDependencies>type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='x86' publicKeyToken='6595b64144ccf1df' language='*';%(AdditionalManifestDependencies)</AdditionalManifestDependencies>
      <AdditionalLibraryDirectories>lua;tinyxml;zlib;mysql;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <IgnoreSpecificDefaultLibraries>kernel32.lib advapi32.lib user32.lib gdi32.lib shell32.lib comdlg32.lib version.lib mpr.lib rasapi32.lib winmm.lib winspool.lib vfw32.lib secur32.lib oleacc.lib oledlg.lib sensapi.lib;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <DelayLoadDLLs>dbghelp.dll;%(DelayLoadDLLs)</DelayLoadDLLs>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <GenerateMapFile>false</GenerateMapFile>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
      <SetChecksum>false</SetChecksum>
      <RandomizedBaseAddress>true</RandomizedBaseAddress>
      <FixedBaseAddress>false</FixedBaseAddress>
      <DataExecutionPrevention>
      </DataExecutionPrevention>
      <TargetMachine>MachineX86</TargetMachine>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <LargeAddressAware>false</LargeAddressAware>
      <TerminalServerAware>false</TerminalServerAware>
    </Link>
    <Manifest>
      <AssemblyIdentity>PtokaX,version=0.5.0.1,processorArchitecture=x86,type=win32</AssemblyIdentity>
    </Manifest>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <WholeProgramOptimization>true</WholeProgramOptimization>
      <AdditionalIncludeDirectories>lua\src;tinyxml;zlib\src;sqlite;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_WITH_SQLITE;NDEBUG;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <MinimalRebuild>true</MinimalRebuild>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <FloatingPointModel>Fast</FloatingPointModel>
      <ForceConformanceInForLoopScope>false</ForceConformanceInForLoopScope>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <MultiProcessorCompilation>false</MultiProcessorCompilation>
      <FunctionLevelLinking>false</FunctionLevelLinking>
      <FloatingPointExceptions>false</FloatingPointExceptions>
      <CreateHotpatchableImage>false</CreateHotpatchableImage>
      <OpenMPSupport>false</OpenMPSupport>
      <CompileAs>CompileAsCpp</CompileAs>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
      <EnableEnhancedInstructionSet>NotSet</EnableEnhancedInstructionSet>
    </ClCompile>
    <ResourceCompile>
      <Culture>0x0409</Culture>
    </ResourceCompile>
    <ProjectReference>
      <LinkLibraryDependencies>true</LinkLibraryDependencies>
    </ProjectReference>
    <Link>
      <AdditionalOptions>/FIXED:NO /SAFESEH:NO %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>ws2_32.lib;comctl32.lib;Iphlpapi.lib;Dbghelp.lib;psapi.lib;lua.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <ShowProgress>NotSet</ShowProgress>
      <OutputFile>$(OutDir)PtokaX_console.exe</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalManifestDependencies>type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='x86' publicKeyToken='6595b64144ccf1df' language='*';%(AdditionalManifestDependencies)</AdditionalManifestDependencies>
      <AdditionalLibraryDirectories>lua;tinyxml;zlib;mysql;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <IgnoreSpecificDefaultLibraries>kernel32.lib advapi32.lib user32.lib gdi32.lib shell32.lib comdlg32.lib version.lib mpr.lib rasapi32.lib winmm.lib winspool.lib vfw32.lib secur32.lib oleacc.lib oledlg.lib sensapi.lib;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <DelayLoadDLLs>dbghelp.dll;%(DelayLoadDLLs)</DelayLoadDLLs>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <GenerateMapFile>false</GenerateMapFile>
      <SubSystem>Console</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
      <SetChecksum>true</SetChecksum>
      <RandomizedBaseAddress>true</RandomizedBaseAddress>
      <FixedBaseAddress>false</FixedBaseAddress>
      <DataExecutionPrevention>
      </DataExecutionPrevention>
      <TargetMachine>MachineX86</TargetMachine>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <LargeAddressAware>false</LargeAddressAware>
      <TerminalServerAware>false</TerminalServerAware>
    </Link>
    <Manifest>
      <AssemblyIdentity>PtokaX,version=0.5.0.1,processorArchitecture=x86,type=win32</AssemblyIdentity>
    </Manifest>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <WholeProgramOptimization>true</WholeProgramOptimization>
      <AdditionalIncludeDirectories>lua\src;tinyxml;zlib\src;sqlite;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_WITH_SQLITE;HASH_PASS;NDEBUG;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <MinimalRebuild>true</MinimalRebuild>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <FloatingPointModel>Fast</FloatingPointModel>
      <ForceConformanceInForLoopScope>false</ForceConformanceInForLoopScope>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <MultiProcessorCompilation>false</MultiProcessorCompilation>
      <FunctionLevelLinking>false</FunctionLevelLinking>
      <FloatingPointExceptions>false</FloatingPointExceptions>
      <CreateHotpatchableImage>false</CreateHotpatchableImage>
      <OpenMPSupport>false</OpenMPSupport>
      <CompileAs>CompileAsCpp</CompileAs>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
      <EnableEnhancedInstructionSet>NotSet</EnableEnhancedInstructionSet>
    </ClCompile>
    <ResourceCompile>
      <Culture>0x0409</Culture>
    </ResourceCompile>
    <ProjectReference>
      <LinkLibraryDependencies>true</LinkLibraryDependencies>
    </ProjectReference>
    <Link>
      <AdditionalOptions>/FIXED:NO /SAFESEH:NO %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>ws2_32.lib;comctl32.lib;Iphlpapi.lib;Dbghelp.lib;psapi.lib;lua.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <ShowProgress>NotSet</ShowProgress>
      <OutputFile>$(OutDir)PtokaX_console.exe</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalManifestDependencies>type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='x86' publicKeyToken='6595b64144ccf1df' language='*';%(AdditionalManifestDependencies)</AdditionalManifestDependencies>
      <AdditionalLibraryDirectories>lua;tinyxml;zlib;mysql;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <IgnoreSpecificDefaultLibraries>kernel32.lib advapi32.lib user32.lib gdi32.lib shell32.lib comdlg32.lib version.lib mpr.lib rasapi32.lib winmm.lib winspool.lib vfw32.lib secur32.lib oleacc.lib oledlg.lib sensapi.lib;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <DelayLoadDLLs>dbghelp.dll;%(DelayLoadDLLs)</DelayLoadDLLs>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <GenerateMapFile>false</GenerateMapFile>
      <SubSystem>Console</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
      <SetChecksum>true</SetChecksum>
      <RandomizedBaseAddress>true</RandomizedBaseAddress>
      <FixedBaseAddress>false</FixedBaseAddress>
      <DataExecutionPrevention>
      </DataExecutionPrevention>
      <TargetMachine>MachineX86</TargetMachine>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <LargeAddressAware>false</LargeAddressAware>
      <TerminalServerAware>false</TerminalServerAware>
    </Link>
    <Manifest>
      <AssemblyIdentity>PtokaX,version=0.5.0.1,processorArchitecture=x86,type=win32</AssemblyIdentity>
    </Manifest>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <WholeProgramOptimization>true</WholeProgramOptimization>
      <AdditionalIncludeDirectories>lua\src;tinyxml;zlib\src;sqlite;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_WITH_SQLITE;NDEBUG;_BUILD_GUI;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <MinimalRebuild>true</MinimalRebuild>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <FloatingPointModel>Fast</FloatingPointModel>
      <ForceConformanceInForLoopScope>false</ForceConformanceInForLoopScope>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <MultiProcessorCompilation>false</MultiProcessorCompilation>
      <OmitFramePointers>false</OmitFramePointers>
      <FunctionLevelLinking>false</FunctionLevelLinking>
      <FloatingPointExceptions>false</FloatingPointExceptions>
      <CreateHotpatchableImage>false</CreateHotpatchableImage>
      <OpenMPSupport>false</OpenMPSupport>
      <CompileAs>CompileAsCpp</CompileAs>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
    </ClCompile>
    <ResourceCompile>
      <Culture>0x0409</Culture>
    </ResourceCompile>
    <Link>
      <AdditionalOptions>/FIXED:NO /SAFESEH:NO %(AdditionalOptions)</AdditionalOptions>
      <ShowProgress>NotSet</ShowProgress>
      <AdditionalDependencies>ws2_32.lib;comctl32.lib;Iphlpapi.lib;Dbghelp.lib;psapi.lib;PXLua-x64.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)PtokaX-x64.exe</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalManifestDependencies>type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='amd64' publicKeyToken='6595b64144ccf1df' language='*';%(AdditionalManifestDependencies)</AdditionalManifestDependencies>
      <AdditionalLibraryDirectories>lua;tinyxml;zlib;mysql;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <IgnoreSpecificDefaultLibraries>kernel32.lib advapi32.lib user32.lib gdi32.lib shell32.lib comdlg32.lib version.lib mpr.lib rasapi32.lib winmm.lib winspool.lib vfw32.lib secur32.lib oleacc.lib oledlg.lib sensapi.lib;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <DelayLoadDLLs>dbghelp.dll;%(DelayLoadDLLs)</DelayLoadDLLs>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <GenerateMapFile>false</GenerateMapFile>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
      <SetChecksum>true</SetChecksum>
      <RandomizedBaseAddress>true</RandomizedBaseAddress>
      <FixedBaseAddress>false</FixedBaseAddress>
      <DataExecutionPrevention>
      </DataExecutionPrevention>
      <TargetMachine>MachineX64</TargetMachine>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <LargeAddressAware>false</LargeAddressAware>
      <TerminalServerAware>false</TerminalServerAware>
    </Link>
    <Manifest>
      <AssemblyIdentity>PtokaX,version=0.5.0.1,processorArchitecture=amd64,type=win32</AssemblyIdentity>
    </Manifest>
    <ProjectReference>
      <LinkLibraryDependencies>true</LinkLibraryDependencies>
    </ProjectReference>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|x64'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <WholeProgramOptimization>true</WholeProgramOptimization>
      <AdditionalIncludeDirectories>lua\src;tinyxml;zlib\src;sqlite;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_WITH_SQLITE;HASH_PASS;NDEBUG;_BUILD_GUI;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <MinimalRebuild>true</MinimalRebuild>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <FloatingPointModel>Fast</FloatingPointModel>
      <ForceConformanceInForLoopScope>false</ForceConformanceInForLoopScope>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <MultiProcessorCompilation>false</MultiProcessorCompilation>
      <OmitFramePointers>false</OmitFramePointers>
      <FunctionLevelLinking>false</FunctionLevelLinking>
      <FloatingPointExceptions>false</FloatingPointExceptions>
      <CreateHotpatchableImage>false</CreateHotpatchableImage>
      <OpenMPSupport>false</OpenMPSupport>
      <CompileAs>CompileAsCpp</CompileAs>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
    </ClCompile>
    <ResourceCompile>
      <Culture>0x0409</Culture>
    </ResourceCompile>
    <Link>
      <AdditionalOptions>/FIXED:NO /SAFESEH:NO %(AdditionalOptions)</AdditionalOptions>
      <ShowProgress>NotSet</ShowProgress>
      <AdditionalDependencies>ws2_32.lib;comctl32.lib;Iphlpapi.lib;Dbghelp.lib;psapi.lib;PXLua-x64.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)PtokaX-x64.exe</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalManifestDependencies>type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='amd64' publicKeyToken='6595b64144ccf1df' language='*';%(AdditionalManifestDependencies)</AdditionalManifestDependencies>
      <AdditionalLibraryDirectories>lua;tinyxml;zlib;mysql;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <IgnoreSpecificDefaultLibraries>kernel32.lib advapi32.lib user32.lib gdi32.lib shell32.lib comdlg32.lib version.lib mpr.lib rasapi32.lib winmm.lib winspool.lib vfw32.lib secur32.lib oleacc.lib oledlg.lib sensapi.lib;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <DelayLoadDLLs>dbghelp.dll;%(DelayLoadDLLs)</DelayLoadDLLs>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <GenerateMapFile>false</GenerateMapFile>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
      <SetChecksum>true</SetChecksum>
      <RandomizedBaseAddress>true</RandomizedBaseAddress>
      <FixedBaseAddress>false</FixedBaseAddress>
      <DataExecutionPrevention>
      </DataExecutionPrevention>
      <TargetMachine>MachineX64</TargetMachine>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <LargeAddressAware>false</LargeAddressAware>
      <TerminalServerAware>false</TerminalServerAware>
    </Link>
    <Manifest>
      <AssemblyIdentity>PtokaX,version=0.5.0.1,processorArchitecture=amd64,type=win32</AssemblyIdentity>
    </Manifest>
    <ProjectReference>
      <LinkLibraryDependencies>true</LinkLibraryDependencies>
    </ProjectReference>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Console|x64'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <WholeProgramOptimization>true</WholeProgramOptimization>
      <AdditionalIncludeDirectories>lua\src;tinyxml;zlib\src;sqlite;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_WITH_SQLITE;NDEBUG;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <MinimalRebuild>true</MinimalRebuild>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <FloatingPointModel>Fast</FloatingPointModel>
      <ForceConformanceInForLoopScope>false</ForceConformanceInForLoopScope>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <MultiProcessorCompilation>false</MultiProcessorCompilation>
      <OmitFramePointers>false</OmitFramePointers>
      <FunctionLevelLinking>false</FunctionLevelLinking>
      <FloatingPointExceptions>false</FloatingPointExceptions>
      <CreateHotpatchableImage>false</CreateHotpatchableImage>
      <OpenMPSupport>false</OpenMPSupport>
      <CompileAs>CompileAsCpp</CompileAs>
      <IntrinsicFunctions>true</IntrinsicFunctions>
    </ClCompile>
    <ResourceCompile>
      <Culture>0x0409</Culture>
    </ResourceCompile>
    <Link>
      <AdditionalOptions>/FIXED:NO /SAFESEH:NO %(AdditionalOptions)</AdditionalOptions>
      <ShowProgress>NotSet</ShowProgress>
      <AdditionalDependencies>ws2_32.lib;comctl32.lib;Iphlpapi.lib;Dbghelp.lib;psapi.lib;PXLua-x64.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)PtokaX-x64_console.exe</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalManifestDependencies>type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='amd64' publicKeyToken='6595b64144ccf1df' language='*';%(AdditionalManifestDependencies)</AdditionalManifestDependencies>
      <AdditionalLibraryDirectories>lua;tinyxml;zlib;mysql;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <IgnoreSpecificDefaultLibraries>kernel32.lib advapi32.lib user32.lib gdi32.lib shell32.lib comdlg32.lib version.lib mpr.lib rasapi32.lib winmm.lib winspool.lib vfw32.lib secur32.lib oleacc.lib oledlg.lib sensapi.lib;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <DelayLoadDLLs>dbghelp.dll;%(DelayLoadDLLs)</DelayLoadDLLs>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <GenerateMapFile>false</GenerateMapFile>
      <SubSystem>Console</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
      <SetChecksum>false</SetChecksum>
      <RandomizedBaseAddress>true</RandomizedBaseAddress>
      <FixedBaseAddress>false</FixedBaseAddress>
      <DataExecutionPrevention>
      </DataExecutionPrevention>
      <TargetMachine>MachineX64</TargetMachine>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <LargeAddressAware>false</LargeAddressAware>
      <TerminalServerAware>false</TerminalServerAware>
    </Link>
    <Manifest>
      <AssemblyIdentity>PtokaX,version=0.5.0.1,processorArchitecture=amd64,type=win32</AssemblyIdentity>
    </Manifest>
    <ProjectReference>
      <LinkLibraryDependencies>true</LinkLibraryDependencies>
    </ProjectReference>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <WholeProgramOptimization>true</WholeProgramOptimization>
      <AdditionalIncludeDirectories>lua\src;tinyxml;zlib\src;sqlite;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_WITH_SQLITE;HASH_PASS;NDEBUG;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <MinimalRebuild>true</MinimalRebuild>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <FloatingPointModel>Fast</FloatingPointModel>
      <ForceConformanceInForLoopScope>false</ForceConformanceInForLoopScope>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <MultiProcessorCompilation>false</MultiProcessorCompilation>
      <OmitFramePointers>false</OmitFramePointers>
      <FunctionLevelLinking>false</FunctionLevelLinking>
      <FloatingPointExceptions>false</FloatingPointExceptions>
      <CreateHotpatchableImage>false</CreateHotpatchableImage>
      <OpenMPSupport>false</OpenMPSupport>
      <CompileAs>CompileAsCpp</CompileAs>
      <IntrinsicFunctions>true</IntrinsicFunctions>
    </ClCompile>
    <ResourceCompile>
      <Culture>0x0409</Culture>
    </ResourceCompile>
    <Link>
      <AdditionalOptions>/FIXED:NO /SAFESEH:NO %(AdditionalOptions)</AdditionalOptions>
      <ShowProgress>NotSet</ShowProgress>
      <AdditionalDependencies>ws2_32.lib;comctl32.lib;Iphlpapi.lib;Dbghelp.lib;psapi.lib;PXLua-x64.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)PtokaX-x64_console.exe</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalManifestDependencies>type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='amd64' publicKeyToken='6595b64144ccf1df' language='*';%(AdditionalManifestDependencies)</AdditionalManifestDependencies>
      <AdditionalLibraryDirectories>lua;tinyxml;zlib;mysql;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <IgnoreSpecificDefaultLibraries>kernel32.lib advapi32.lib user32.lib gdi32.lib shell32.lib comdlg32.lib version.lib mpr.lib rasapi32.lib winmm.lib winspool.lib vfw32.lib secur32.lib oleacc.lib oledlg.lib sensapi.lib;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <DelayLoadDLLs>dbghelp.dll;%(DelayLoadDLLs)</DelayLoadDLLs>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <GenerateMapFile>false</GenerateMapFile>
      <SubSystem>Console</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
      <SetChecksum>false</SetChecksum>
      <RandomizedBaseAddress>true</RandomizedBaseAddress>
      <FixedBaseAddress>false</FixedBaseAddress>
      <DataExecutionPrevention>
      </DataExecutionPrevention>
      <TargetMachine>MachineX64</TargetMachine>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <LargeAddressAware>false</LargeAddressAware>
      <TerminalServerAware>false</TerminalServerAware>
    </Link>
    <Manifest>
      <AssemblyIdentity>PtokaX,version=0.5.0.1,processorArchitecture=amd64,type=win32</AssemblyIdentity>
    </Manifest>
    <ProjectReference>
      <LinkLibraryDependencies>true</LinkLibraryDependencies>
    </ProjectReference>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClInclude Include="base64\base64.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="core\colUsers.h" />
    <ClInclude Include="core\DcCommands.h" />
    <ClInclude Include="core\DeFlood.h" />
    <ClInclude Include="core\eventqueue.h" />
    <ClInclude Include="core\ExceptionHandling.h" />
    <ClInclude Include="core\GlobalDataQueue.h" />
    <ClInclude Include="core\hashBanManager.h" />
    <ClInclude Include="core\hashRegManager.h" />
    <ClInclude Include="core\hashUsrManager.h" />
    <ClInclude Include="core\HubCommands.h" />
    <ClInclude Include="core\IP2Country.h" />
    <ClInclude Include="core\LanguageIds.h" />
    <ClInclude Include="core\LanguageManager.h" />
    <ClInclude Include="core\LanguageStrings.h" />
    <ClInclude Include="core\LanguageXml.h" />
    <ClInclude Include="core\LuaBanManLib.h" />
    <ClInclude Include="core\LuaCoreLib.h" />
    <ClInclude Include="core\LuaInc.h" />
    <ClInclude Include="core\LuaIP2CountryLib.h" />
    <ClInclude Include="core\LuaPrint.h" />
    <ClInclude Include="core\LuaProfManLib.h" />
    <ClInclude Include="core\LuaRegManLib.h" />
    <ClInclude Include="core\LuaScript.h" />
    <ClInclude Include="core\LuaScriptManager.h" />
    <ClInclude Include="core\LuaScriptManLib.h" />
    <ClInclude Include="core\LuaSetManLib.h" />
    <ClInclude Include="core\LuaTmrManLib.h" />
    <ClInclude Include="core\LuaUDPDbgLib.h" />
    <ClInclude Include="core\ProfileManager.h" />
    <ClInclude Include="core\PXBReader.h" />
    <ClInclude Include="core\pxstring.h" />
    <ClInclude Include="core\RegThread.h" />
    <ClInclude Include="core\ResNickManager.h" />
    <ClInclude Include="core\ServerManager.h" />
    <ClInclude Include="core\ServerThread.h" />
    <ClInclude Include="core\serviceLoop.h" />
    <ClInclude Include="core\SettingDefaults.h" />
    <ClInclude Include="core\SettingIds.h" />
    <ClInclude Include="core\SettingManager.h" />
    <ClInclude Include="core\SettingXml.h" />
    <ClInclude Include="core\stdinc.h" />
    <ClInclude Include="core\TextFileManager.h" />
    <ClInclude Include="core\UdpDebug.h" />
    <ClInclude Include="core\UDPThread.h" />
    <ClInclude Include="core\UpdateCheckThread.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="core\User.h" />
    <ClInclude Include="core\utility.h" />
    <ClInclude Include="core\ZlibUtility.h" />
    <ClInclude Include="gui.win\AboutDialog.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\BanDialog.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\BansDialog.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\BasicSplitter.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\GuiSettingDefaults.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\GuiSettingIds.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\GuiSettingManager.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\GuiSettingStr.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\GuiUtil.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\LineDialog.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\MainWindow.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\MainWindowPage.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\MainWindowPageScripts.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\MainWindowPageStats.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\MainWindowPageUsersChat.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\ProfilesDialog.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\RangeBanDialog.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\RangeBansDialog.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\RegisteredUserDialog.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\RegisteredUsersDialog.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\Resources.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\ScriptEditorDialog.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\SettingDialog.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\SettingPage.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\SettingPageAdvanced.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\SettingPageBans.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\SettingPageBots.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\SettingPageDeflood.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\SettingPageDeflood2.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\SettingPageDeflood3.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\SettingPageGeneral.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\SettingPageGeneral2.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\SettingPageMOTD.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\SettingPageMyINFO.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\SettingPageRules.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\SettingPageRules2.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="gui.win\UpdateDialog.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="sha2\sha2.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</ExcludedFromBuild>
    </ClInclude>
    <ClInclude Include="tinyxml\tinystr.h" />
    <ClInclude Include="tinyxml\tinyxml.h" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="gui.win\PtokaX.rc" />
  </ItemGroup>
  <ItemGroup>
    <None Include="ico\Spider16M-32x32.ico" />
    <None Include="ico\Spider256-16x16.ico" />
    <None Include="ico\Spider-64x64x32.ico" />
    <None Include="ico\Lua-64x64x32.ico" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="base64\base64.c">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</ExcludedFromBuild>
      <CompileAs>CompileAsC</CompileAs>
    </ClCompile>
    <ClCompile Include="core\colUsers.cpp" />
    <ClCompile Include="core\DB-SQLite.cpp" />
    <ClCompile Include="core\DcCommands.cpp" />
    <ClCompile Include="core\DeFlood.cpp" />
    <ClCompile Include="core\eventqueue.cpp" />
    <ClCompile Include="core\ExceptionHandling.cpp" />
    <ClCompile Include="core\GlobalDataQueue.cpp" />
    <ClCompile Include="core\hashBanManager.cpp" />
    <ClCompile Include="core\hashRegManager.cpp" />
    <ClCompile Include="core\hashUsrManager.cpp" />
    <ClCompile Include="core\HubCommands.cpp" />
    <ClCompile Include="core\IP2Country.cpp" />
    <ClCompile Include="core\LanguageManager.cpp" />
    <ClCompile Include="core\LuaBanManLib.cpp" />
    <ClCompile Include="core\LuaCoreLib.cpp" />
    <ClCompile Include="core\LuaIP2CountryLib.cpp" />
    <ClCompile Include="core\LuaPrint.cpp" />
    <ClCompile Include="core\LuaProfManLib.cpp" />
    <ClCompile Include="core\LuaRegManLib.cpp" />
    <ClCompile Include="core\LuaScript.cpp" />
    <ClCompile Include="core\LuaScriptManager.cpp" />
    <ClCompile Include="core\LuaScriptManLib.cpp" />
    <ClCompile Include="core\LuaSetManLib.cpp" />
    <ClCompile Include="core\LuaTmrManLib.cpp" />
    <ClCompile Include="core\LuaUDPDbgLib.cpp" />
    <ClCompile Include="core\ProfileManager.cpp" />
    <ClCompile Include="core\PtokaX-win.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ReleaseHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="core\PXBReader.cpp" />
    <ClCompile Include="core\pxstring.cpp" />
    <ClCompile Include="core\RegThread.cpp" />
    <ClCompile Include="core\ResNickManager.cpp" />
    <ClCompile Include="core\ServerManager.cpp" />
    <ClCompile Include="core\ServerThread.cpp" />
    <ClCompile Include="core\serviceLoop.cpp" />
    <ClCompile Include="core\SettingManager.cpp" />
    <ClCompile Include="core\TextFileManager.cpp" />
    <ClCompile Include="core\UdpDebug.cpp" />
    <ClCompile Include="core\UDPThread.cpp" />
    <ClCompile Include="core\UpdateCheckThread.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="core\User.cpp" />
    <ClCompile Include="core\utility.cpp" />
    <ClCompile Include="core\ZlibUtility.cpp" />
    <ClCompile Include="gui.win\AboutDialog.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\BanDialog.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\BansDialog.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\BasicSplitter.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\GuiSettingManager.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\GuiUtil.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\LineDialog.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\MainWindow.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\MainWindowPage.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\MainWindowPageScripts.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\MainWindowPageStats.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\MainWindowPageUsersChat.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\ProfilesDialog.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\PtokaX.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\RangeBanDialog.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\RangeBansDialog.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\RegisteredUserDialog.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\RegisteredUsersDialog.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\ScriptEditorDialog.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\SettingDialog.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\SettingPage.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\SettingPageAdvanced.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\SettingPageBans.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\SettingPageBots.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\SettingPageDeflood.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\SettingPageDeflood2.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\SettingPageDeflood3.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\SettingPageGeneral.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\SettingPageGeneral2.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\SettingPageMOTD.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\SettingPageMyINFO.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\SettingPageRules.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\SettingPageRules2.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="gui.win\UpdateDialog.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='ConsoleHashPass|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="sha2\sha2.c">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Console|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</ExcludedFromBuild>
      <CompileAs>CompileAsC</CompileAs>
    </ClCompile>
    <ClCompile Include="sqlite\sqlite3.c">
      <CompileAs>CompileAsC</CompileAs>
      <WarningLevel>Level3</WarningLevel>
    </ClCompile>
    <ClCompile Include="tinyxml\tinystr.cpp" />
    <ClCompile Include="tinyxml\tinyxml.cpp" />
    <ClCompile Include="tinyxml\tinyxmlerror.cpp" />
    <ClCompile Include="tinyxml\tinyxmlparser.cpp" />
    <ClCompile Include="zlib\src\adler32.c">
      <CompileAs>CompileAsC</CompileAs>
      <WarningLevel>Level3</WarningLevel>
    </ClCompile>
    <ClCompile Include="zlib\src\compress.c">
      <CompileAs>CompileAsC</CompileAs>
      <WarningLevel>Level3</WarningLevel>
    </ClCompile>
    <ClCompile Include="zlib\src\crc32.c">
      <CompileAs>CompileAsC</CompileAs>
      <WarningLevel>Level3</WarningLevel>
    </ClCompile>
    <ClCompile Include="zlib\src\deflate.c">
      <CompileAs>CompileAsC</CompileAs>
      <WarningLevel>Level3</WarningLevel>
    </ClCompile>
    <ClCompile Include="zlib\src\infback.c">
      <CompileAs>CompileAsC</CompileAs>
      <WarningLevel>Level3</WarningLevel>
    </ClCompile>
    <ClCompile Include="zlib\src\inffast.c">
      <CompileAs>CompileAsC</CompileAs>
      <WarningLevel>Level3</WarningLevel>
    </ClCompile>
    <ClCompile Include="zlib\src\inflate.c">
      <CompileAs>CompileAsC</CompileAs>
      <WarningLevel>Level3</WarningLevel>
    </ClCompile>
    <ClCompile Include="zlib\src\inftrees.c">
      <CompileAs>CompileAsC</CompileAs>
      <WarningLevel>Level3</WarningLevel>
    </ClCompile>
    <ClCompile Include="zlib\src\trees.c">
      <CompileAs>CompileAsC</CompileAs>
      <WarningLevel>Level3</WarningLevel>
    </ClCompile>
    <ClCompile Include="zlib\src\uncompr.c">
      <CompileAs>CompileAsC</CompileAs>
      <WarningLevel>Level3</WarningLevel>
    </ClCompile>
    <ClCompile Include="zlib\src\zutil.c">
      <CompileAs>CompileAsC</CompileAs>
      <WarningLevel>Level3</WarningLevel>
    </ClCompile>
  </ItemGroup>
  <ItemGroup>
    <Manifest Include="core\PtokaX.Manifest" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>